package com.sheep.gamegroup.model.entity;

import com.sheep.jiuyan.samllsheep.utils.TitleBarUtils;

/**
 * Created by realicing on 2018/10/31.
 * realicing@sina.com
 * EndTime:	integer ($int64)
 * 结束时间
 * CreateTime:	integer ($int64)
 * Order:	integer ($int64)
 * 排序序号:倒序
 * Url:	string
 * 背景图地址
 * StartTime:	integer ($int64)
 * 开始时间
 * Status:	integer ($int64)
 * 1 已经下线 2 已上线 3 即将上线
 * Platform:	integer ($int32)
 * 平台 1：android 2：ios
 * UpdateTime:	integer ($int64)
 * IsDisplay:	integer ($int32)
 * 状态 1显示 0不显示
 * Title:	string
 * 标题
 * Id:	integer ($int64)
 * AppId:	integer ($int64)
 * 关联 application表id
 * DisplayType:	integer ($int32)
 * 1:天天更新 2:重点推荐
 */
public class GameRecommend {
    private int Id;

    private String Url;

    private int Platform;

    private int AppId;

    private int IsDisplay;

    private int UpdateTime;

    private int CreateTime;

    private String Title;

    private int StartTime;

    private int EndTime;

    private int Status;
    private int TagId;

    private int Order;

    private int DisplayType;

    public void setId(int Id) {
        this.Id = Id;
    }

    public int getId() {
        return this.Id;
    }

    public void setUrl(String Url) {
        this.Url = Url;
    }

    public String getUrl() {
        return this.Url;
    }

    public void setPlatform(int Platform) {
        this.Platform = Platform;
    }

    public int getPlatform() {
        return this.Platform;
    }

    public void setAppId(int AppId) {
        this.AppId = AppId;
    }

    public int getAppId() {
        return this.AppId;
    }

    public void setIsDisplay(int IsDisplay) {
        this.IsDisplay = IsDisplay;
    }

    public int getIsDisplay() {
        return this.IsDisplay;
    }

    public void setUpdateTime(int UpdateTime) {
        this.UpdateTime = UpdateTime;
    }

    public int getUpdateTime() {
        return this.UpdateTime;
    }

    public void setCreateTime(int CreateTime) {
        this.CreateTime = CreateTime;
    }

    public int getCreateTime() {
        return this.CreateTime;
    }

    public void setTitle(String Title) {
        this.Title = Title;
    }

    public String getTitle() {
        return this.Title;
    }

    public void setStartTime(int StartTime) {
        this.StartTime = StartTime;
    }

    public int getStartTime() {
        return this.StartTime;
    }

    public void setEndTime(int EndTime) {
        this.EndTime = EndTime;
    }

    public int getEndTime() {
        return this.EndTime;
    }

    public void setStatus(int Status) {
        this.Status = Status;
    }

    public int getStatus() {
        return this.Status;
    }

    public void setOrder(int Order) {
        this.Order = Order;
    }

    public int getOrder() {
        return this.Order;
    }

    public void setDisplayType(int DisplayType) {
        this.DisplayType = DisplayType;
    }

    public int getDisplayType() {
        return this.DisplayType;
    }

    public int getTagId() {
        return TagId;
    }

    public void setTagId(int tagId) {
        TagId = tagId;
    }



    public GameListType getType() {
        GameListType gameListType = new GameListType();
        gameListType.setTag_id(TagId);
        gameListType.setTitle(Title);
        return gameListType;
    }
}
